WPSSO UL

WPSSO User Locale Selector

View the Project on GitHub SurniaUlula/wpsso-user-locale

User Locale Selector

WPSSO Add-on

Plugin NameWPSSO User Locale Selector
SummaryQuick and easy locale / language / region selector for the WordPress admin toolbar.
Stable Version2.0.3
Requires PHP5.5 or newer
Requires WordPress4.7 or newer
Tested Up To WordPress5.3.1
Contributorsjsmoriss
LicenseGPLv3
Tags / Keywordsuser locale, user language, user region, locale, language, region, select, toolbar, menu, polylang

Description

Provides a convenient locale / language / region selector in the WordPress admin toolbar.

Perfect for translators or anyone that needs to switch languages quickly and easily:

Allows logged-in users to change their preferred locale / language / region setting right from the toolbar menu, instead of having to modify their user profile settings.

The default behavior of WordPress is to apply the user locale preference only to the admin back-end — this plugin can extend the user setting preference to the front-end webpage as well.

The front-end locale selector is optional, and can be enabled / disabled in the SSO > User Locale settings page.

Do you use the Polylang plugin?

If the Polylang plugin is detected, the locale selector will automatically use the correct Polylang language URLs.

Users Love the WPSSO UL Add-on

★★★★★ — "Practical and Fast - Works as advertised. Very easy to use." - grouper

WPSSO Core Plugin Required

WPSSO User Locale Selector (aka WPSSO UL) is an add-on for the WPSSO Core plugin.

Installation

Install and Uninstall

Frequently Asked Questions

Frequently Asked Questions

Advanced Documentation and Notes